Summary:  An archiving tool with ACL support
Name: star
Version: 1.5.1
Release: 1
URL: http://cdrecord.berlios.de/old/private/star.html
Source0: ftp://ftp.berlios.de/pub/star/%{name}-%{version}.tar.bz2

#do not segfault with data-change-warn option (#255261)
Patch3: star-1.5-changewarnSegv.patch
#Prevent buffer overflow for filenames with length of 100 characters (#556664)
Patch5: star-1.5.1-bufferoverflow.patch
#Fix some invalid manpage references (#624612)
Patch6: star-1.5.1-manpagereferences.patch
#fix signedness segfault with multivol option(#666015)
Patch7: star-1.5.1-multivolsigsegv.patch

License: CDDL
Group: Applications/Archiving
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: patch, schily-make

%description
Star saves many files together into a single tape or disk archive,
and can restore individual files from the archive. Star supports ACL.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch3 -p1 -b .changewarnSegv
%patch5 -p1 -b .namesoverflow
%patch6 -p1 -b .references
%patch7 -p1 -b .multivol


%build
smake COPTX="-DUSE_USGSHM" LDOPTX="-Wl,-bmaxdata:0x80000000 -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib"


%install
export PATH=/opt/freeware/bin:$PATH

[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
smake "INS_BASE=${RPM_BUILD_ROOT}%{_prefix}" install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc README AN* COPYING CDDL.Schily.txt README.SSPM STATUS.alpha TODO
%{_bindir}/spax
%{_bindir}/star
%{_mandir}/man1/spax.1
%{_mandir}/man1/%{name}.1
%{_mandir}/man4/%{name}.4
/usr/bin/spax
/usr/bin/star


%changelog
* Mon Jan 10 2011 Michael Perzl <michael@perzl.org> - 1.5.1-1
- first version for AIX V5.1 and higher
